## pure-sql3-0.5.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-sql3-$(version)
version = 0.5

# compiler flags -- these can be overridden from the command line if needed,
# as well as CPPFLAGS, LDFLAGS and LIBS
CFLAGS = -O3
#CFLAGS = -g -O2

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

prefix      = $(shell pkg-config pure --variable prefix)
bindir      = $(prefix)/bin
libdir      = $(shell pkg-config pure --variable libdir)

ifeq ($(DLL),.dylib)
dllname = -install_name "$(libdir)/pure/$@"
endif

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS) $(LIBS)

# Compilation options to link with SQLite3.
SQL3LIBS = $(shell pkg-config sqlite3 --libs)
SQL3FLAGS = $(shell pkg-config sqlite3 --cflags)

MOD_CFLAGS += $(SQL3FLAGS)
MOD_LDFLAGS += $(SQL3LIBS)

DISTFILES = COPYING Makefile README sql3util.c sql3.pure debian/* examples/*.pure
SEDFILES = README

all: sql3util$(DLL)

sql3util$(DLL): sql3util.c 
	$(CC) $(shared) $(dllname) -o $@ $(MOD_CFLAGS) -Wall -std=c99 $< $(MOD_LDFLAGS) -lgmp

clean:
	rm -f *$(DLL) *~ *.a *.o
	rm -f *.db examples/*.db

install:
	test -d "$(DESTDIR)$(libdir)/pure" || mkdir -p "$(DESTDIR)$(libdir)/pure"
	cp sql3.pure sql3util$(DLL) "$(DESTDIR)$(libdir)/pure"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/pure/sql3.pure"  "$(DESTDIR)$(libdir)/pure/sql3util$(DLL)"

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/examples
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://bitbucket.org/purelang/pure-lang/downloads/$(dist).tar.gz -O $@

=== debian/changelog ===
pure-sql3 (0.4-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 20:16:10 +0200

=== debian/control ===
Source: pure-sql3
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libsqlite3-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-sql3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQLite interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a module which allows you to access SQLite
 databases in Pure. It uses version 3 of the SQLite library.
 .
 SQLite is a software library that implements an easy to use, self-contained,
 serverless, zero-configuration, transactional SQL database engine. The Pure
 module is a wrapper around SQLite's C interface that provides Pure
 programmers access to almost all of SQLite's features, including many that
 are not available through Pure's generic ODBC interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/pure-sql3-(.*)\.tar\.gz
